unit PlugAPI;

interface

type
					// Only the first 8 flags are saved in cache
  TArtFlag = (		afRead,			// This article has been marked read
					afDownloaded,	// This article has been downloaded
					afMarked,		// This article is marked for download
					afApproxSize,	// We know the approximate file size
					afExactName,	// We know the exact file name
					afBadSize,		// Article has questionable size
					afExactSize, 	// We know the exact file size
					afMultiPart,	// This article is part of a thread
					// The rest of the flags are not saved in cache
					afGoodParts,	// All the parts are available
					afBadParts,		// Some parts are missing
					afWanted,		// This article is Wanted
					afKilled,		// This article has been Killed
					afEncodeUUE,	// This article is encoded with UUE
					afEncodeMIME,	// This article is encoded with MIME
					afExpired,		// This article has been expired
					afNowDownloading  // This article is currently being downloaded
					);

  TArtFlags = set of TArtFlag;

  TExistType = (etNone, etDBSize, etSize, etDBName, etName, etDBBoth, etBoth );

  TArticleData = record
	FSubject: PChar;		// Subject of this article
	FFileName: PChar;		// Filename of this article

	FDate: TDateTime;		// Date of this article (optional)
	FFrom: PChar;			// Sender of this article (optional)

	FBytes: Integer;		// Size of the article data ("Bytes" header)
	FFileSize: Integer;		// Estimated binary file size

	FExistVol: PChar;		// Removable volume where this file exists
	FExistDir: PChar;		// Directory where this file exists
	FExistName: PChar;		// Name of the existing file
	FExistSize: Integer;	// Size of the existing file

	FFlags: TArtFlags;		// Article flags
	FExistType: TExistType;	// Match type of the existing file

	FCurPart: Word;			// Part number (if afMultipart)
	FMaxPart: Word;			// Total number of parts (if afMultiPart)

  end;

implementation

end.
